Readme
================================================================================
The Warden module connects a Drupal website with the Warden website monitoring
tool.

Warden aims to pull in status and security information from multiple sites into
a single centralised dashboard. Simply add this module to the sites you want to
include and configure them to send information to the accompanying Warden server
which provides the dashboard application.

The Warden server software can be downloaded from GitHub[1]

Why do I need this?
================================================================================
If you manage multiple websites it helps to have a single centralised dashboard
where the status of all your sites can be seen and viewed.

Configuration
================================================================================
By strict design and principle, this module doesn't have any UI exposed settings
or configuration forms. The reason behind this philosophy is that - as a pure -
utility module only site administrators should be able to change anything and if
they do, things should be traceable in settings.php.

The following configuration options are available:

|      $conf setting       | Default          |               Description                 |
|:-------------------------|:-----------------|:------------------------------------------|
| warden_server_host_path  | ''               | Required to specify the location of your  |
|                          |                  | Warden server. No trailing slash.         |
|                          |                  | e.g. 'https://warden.company.com'         |
|                          |                  |                                           |
| warden_allow_requests    | FALSE            | Set this to TRUE to allow external        |
|                          |                  | callbacks to the site. When set to FALSE  |
|                          |                  | pressing refresh site data in Warden will |
|                          |                  | not work                                  |
|                          |                  |                                           |
|                          |                  |                                           |
|                          |                  |                                           |
| warden_public_allow_ips  | '127.0.0.1,::1'  | List the IP addresses which can make      |
|                          |                  | callback requests. This is usually be the |
|                          |                  | IP address of your Warden server          |
|                          |                  |                                           |
| warden_http_username     | ''               | If your Warden server is protected with   |
|                          |                  | basic HTTP authorization, you can provide |
|                          |                  | the username here                         |
|                          |                  |                                           |
| warden_http_password     | ''               | The HTTP basic authorization password.    |
|                          |                  |                                           |
| warden_token             | random string    | This is generated automatically on        |
|                          |                  | module install and adds a unique endpoint |
|                          |                  | for warden to contact this website on     |
|                          |                  |                                           |
| warden_match_custom      | TRUE             | Include custom modules in the data that   |
|                          |                  | is sent to Warden.                        |
|                          |                  |                                           |
| warden_preg_match_custom | '{^sites\/([A-z, | Provide a regex pattern for the module to |
|                          | \.,\-]+)\/module | match the module filename to. A module    |
|                          | s\/custom\/*}'   | file path matching this regex means the   |
|                          |                  | module is a custom module.                |
|                          |                  |                                           |
| warden_match_contrib     | TRUE             | Include contrib modules in the data sent  |
|                          |                  | to Warden.                                |
|                          |                  |                                           |
| warden_preg_match_contrib| '{^sites\/([A-z, | Provide a regex pattern for matching a    |
|                          | \.,\-]+)\/module | modules file as being a contrib module    |
|                          | s\/contrib\/*}'  |                                           |
|                          |                  |                                           |
| warden_match_core        | TRUE             | Include core module versions in the data  |
|                          |                  | which goes to Warden                      |
|                          |                  |                                           |

[1]:  https://github.com/teamdeeson/warden